<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Http\Resources\NotificationResource;
use App\Http\Resources\ProductsResource;
use App\Models\Notification;
use Edujugon\PushNotification\PushNotification;
use Illuminate\Http\Request;
use JWTAuth;

class NotificationsController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     *
     */
    public function test_notification(Request $request){

        $push = new PushNotification('fcm');


        if ($request['device_type']== 'ios') {
            $msg = [
                'data' => [
                    'title_ar' => "33333",
                    'title_en' => "33333",
                    'body_ar' => "33333",
                    'body_en' => "33333",
                    'type' => "follower",
                    'product_id' => "33333",

                    'sound' => 'default',
                    'click_action' => 'FCM_PLUGIN_ACTIVITY',
                ],
                'notification' => [
                    'title_ar' => "33333",
                    'title_en' =>"33333",
                    'body_ar' => "33333",
                    'body_en' =>"33333",
                    'type' => "follower",
                    'product_id' => "33333",

                    'sound' => 'default',
                    'click_action' => 'FCM_PLUGIN_ACTIVITY',
                ],
                'priority' => 'high',
            ];
            $push->setMessage($msg)
                ->setDevicesToken($request['device_token'])
                ->send();

        } else {
            $msg = [
                'data' => [
                    'title_ar' => "33333",
                    'title_en' => "33333",
                    'body_ar' => "33333",
                    'body_en' => "33333",
                    'type' => "follower",
                    'product_id' => "33333",

                    'sound' => 'default',
                    'click_action' => 'FCM_PLUGIN_ACTIVITY',
                ],
                'priority' => 'high',
            ];
            $push->setMessage($msg)
                ->setDevicesToken($request['device_token'])
                ->send();

        }
        dd('true');
    }

    public function index()
    {
        $lang = \request()->header('Accept-Language', 'ar');
        \App::setLocale($lang);
        if (!$user = JWTAuth::parseToken()->authenticate()) {
            return response()->json(['value' => false, 'msg' => \Lang::get('data.wrong_token'), 'code' => 401]);
        }
        $rows = Notification::where('user_id', $user->id)->orderByDesc('id')->get();

        foreach ($rows as $row) {
            $row->read = 'true';
            $row->update();
        }
        $data = NotificationResource::collection($rows);
        return response()->json(['value' => true, 'data' => $data, 'code' => 200]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param \Illuminate\Http\Request $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param \Illuminate\Http\Request $request
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
    }

    public function delete_notifications(){
        $lang = \request()->header('Accept-Language', 'ar');
        \App::setLocale($lang);
        if (!$user = JWTAuth::parseToken()->authenticate()) {
            return response()->json(['value' => false, 'msg' => \Lang::get('data.wrong_token'), 'code' => 401]);
        }
        Notification::destroy($user->notifications()->pluck('id'));
        return response()->json(['value'=>true,'data'=>\Lang::get('data.deleted')]);

    }
    /**
     * Remove the specified resource from storage.
     *
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
