<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Models\Comment;
use App\Models\Product;
use App\Models\Spam;
use Illuminate\Http\Request;
use JWTAuth;


class SpamController extends Controller
{
    public function spam(Request $request)
    {
        $lang = $request->header('Accept-Language', 'ar');
        \App::setLocale($lang);
        if (!$user = JWTAuth::parseToken()->authenticate()) {
            return response()->json(['value' => false, 'msg' => \Lang::get('data.wrong_token'), 'code' => 401]);
        }
        $validator = \Validator::make($request->all(), [
            'type' => 'required|in:product,comment',
            'comment_id' => 'required_if:type,comment|exists:comments,id',
            'product_id' => 'required_if:type,product|exists:products,id',
        ]);
        if ($validator->passes()) {
            if ($request['comment_id']){
                $comment = Comment::find($request['comment_id']);
                $product = Product::find($comment->product_id);
                Spam::create([
                    'user_id'=>$user->id,
                    'comment_id'=>$request['comment_id'],
                    'product_id'=>$product->id,
                    'type'=>$request['type']
                ]);
            }else{
                Spam::create([
                    'user_id'=>$user->id,
                    'comment_id'=>$request['comment_id'],
                    'product_id'=>$request['product_id'],
                    'type'=>$request['type']
                ]);
            }

            return response()->json(['value'=>true,'data'=>\Lang::get('data.spam'),'code'=>200]);
        } else {
            return response()->json(['value' => false, 'msg' => $validator->errors()->first(), 'code' => 422]);
        }
    }
}
