<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Models\Setting;
use App\Models\Transfer;
use Carbon\Carbon;
use Illuminate\Http\Request;
use JWTAuth;
use Tymon\JWTAuth\Exceptions\JWTException;

class TransfersController extends Controller
{
    public function add_transfer(Request $request)
    {
        $lang = $request->header('Accept-Language', 'ar');
        \App::setLocale($lang);
        if (!$user = JWTAuth::parseToken()->authenticate()) {
            return response()->json(['value' => false, 'msg' => \Lang::get('data.wrong_token'), 'code' => 401]);
        }
        $validator = \Validator::make($request->all(), [
            'full_name' => 'required',
//            'transfer_date' => 'required',
            'bank_id' => 'required',
            'image' => 'required|image',
//            'product_number' => 'required',
            'amount' => 'required',
            'mobile' => 'required'
        ]);
        if ($validator->passes()) {

            $transfer = new Transfer();
            $transfer->user_id = $user->id;
            $transfer->full_name = $request->full_name;
//            $transfer->transfer_date = Carbon::parse($request->transfer_date);
            $transfer->bank_id = $request->bank_id;
            $transfer->mobile = $request->mobile;
//            $transfer->product_number = $request->product_number;
            $transfer->notes = $request->notes;
            $transfer->amount = $request->amount;
            if ($request->hasFile('image')) {
                $transfer->setImageAttribute();
            }
            $transfer->save();

            return response()->json(['value' => true, 'data' => \Lang::get('data.send_wait'), 'code' => 200]);

        }
        return response()->json(['value' => false, 'msg' => $validator->errors()->first(), 'code' => 422]);
    }}
