<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Contact extends Model
{
    protected $table = 'contacts';
    protected $fillable = ['email', 'reason', 'mobile', 'image', 'body'];

    public function setImageAttribute()
    {
        $file = request()->file('image');
        $destinationPath = 'images/contacts/';
        $filename = time() . '.' . $file->getClientOriginalExtension();
        $file->move($destinationPath, $filename);
        $this->attributes['image'] = $filename;
    }
    public function getImageAttribute()
    {
        if ($this->attributes['image']) {
            return asset('images/contacts/') . '/' . $this->attributes['image'];
        }
        return asset('images/users/default.jpg');
    }
    public function deleteImage()
    {
        @unlink(public_path('images/contacts/' . $this->attributes['image']));

    }
}
