@extends('admin.layout.master')
@section('title', 'الإشعارات')
@section('content')
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">الإشعارات</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">إنشاء جديد</h4>
                @include('admin.layout.message')

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="{{route('notifications.store')}}" enctype="multipart/form-data">
                            @csrf
                            <div class="row">
                                <div class="col-xl-6">
                                    <div class="form-group">
                                        <label for="exampleInputEmail1">العنوان باللغة العربية</label>
                                        <input type="text" class="form-control" value="{{old('name_ar')}}" required
                                               name="name_ar"
                                               id="exampleInputEmail1"
                                               placeholder="العنوان باللغة العربية">
                                        @if ($errors->has('name_ar'))
                                            <small class="text-danger">{{ $errors->first('name_ar') }}</small>
                                        @endif
                                    </div>
                                </div>
                                <div class="col-xl-6">
                                    <div class="form-group">
                                        <label for="exampleInputEmail1">العنوان باللغة الإنجليزية</label>
                                        <input type="text" class="form-control" value="{{old('name_en')}}" required
                                               name="name_en"
                                               id="exampleInputEmail1"
                                               placeholder="العنوان باللغة الإنجليزية">
                                        @if ($errors->has('name_en'))
                                            <small class="text-danger">{{ $errors->first('name_en') }}</small>
                                        @endif
                                    </div>
                                </div>
                                <div class="col-xl-6">
                                    <div class="form-group">
                                        <label for="exampleInputEmail1">الأشعار باللغة العربية</label>

                                        <textarea name="body_ar" style="resize: none ; height: 250px "
                                                  class="form-control" required
                                                  placeholder="الإشعار باللغة العربية">{{old('body_ar')}}</textarea>
                                        @if ($errors->has('body_ar'))
                                            <small class="text-danger">{{ $errors->first('body_ar') }}</small>
                                        @endif
                                    </div>
                                </div>
                                <div class="col-xl-6">
                                    <div class="form-group">
                                        <label for="exampleInputEmail1">الأشعار باللغة الإنجليزية</label>

                                        <textarea name="body_en" class="form-control" required
                                                  style="resize: none ; height: 250px "
                                                  placeholder="الإشعار باللغة الإنجليزية">{{old('body_en')}}</textarea>
                                        @if ($errors->has('body_en'))
                                            <small class="text-danger">{{ $errors->first('body_en') }}</small>
                                        @endif
                                    </div>
                                </div>
                            </div>


                            <button type="submit" class="btn btn-primary">إرسال</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>
        </div><!-- end col -->
    </div>



@stop
